curl --request GET \
--url 'https://api.stateset.com/api/v1/asns' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"items": [
{
"asn_number": null,
"created_at": null,
"expected_delivery_date": null,
"id": null,
"shipping_address": null,
"status": null,
"supplier_id": null,
"supplier_name": null,
"updated_at": null
}
],
"limit": 1,
"page": 1,
"total": 1,
"total_pages": 1
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
List ASNs with optional filters
List ASNs with optional filters
GET
/
api
/
v1
/
asns
curl --request GET \
--url 'https://api.stateset.com/api/v1/asns' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"items": [
{
"asn_number": null,
"created_at": null,
"expected_delivery_date": null,
"id": null,
"shipping_address": null,
"status": null,
"supplier_id": null,
"supplier_name": null,
"updated_at": null
}
],
"limit": 1,
"page": 1,
"total": 1,
"total_pages": 1
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Query parameters
integer (int64)
integer (int64)
string (uuid)
string
Responses
ApiResponse_PaginatedResponse_AsnSummary
ASNs listed
ErrorResponse
Unauthorized
ErrorResponse
Forbidden
curl --request GET \
--url 'https://api.stateset.com/api/v1/asns' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"items": [
{
"asn_number": null,
"created_at": null,
"expected_delivery_date": null,
"id": null,
"shipping_address": null,
"status": null,
"supplier_id": null,
"supplier_name": null,
"updated_at": null
}
],
"limit": 1,
"page": 1,
"total": 1,
"total_pages": 1
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI